unit dm_remote;

interface

uses
  Windows, Messages, SysUtils, Classes, ComServ, ComObj, VCLCom, DataBkr,
  DBClient, DataServer_TLB, Stdvcl, Db, DBTables, Provider;

type
  TdmDataServer = class(TRemoteDataModule, IDataServer)
    DataSetProvider1: TDataSetProvider;
    Query1: TQuery;
    Database1: TDatabase;
    procedure RemoteDataModuleCreate(Sender: TObject);
    procedure RemoteDataModuleDestroy(Sender: TObject);
  private
    { Private declarations }
  protected
    class procedure UpdateRegistry(Register: Boolean; const ClassID, ProgID: string); override;
  public
    { Public declarations }
  end;

implementation

uses form_main;

{$R *.DFM}

class procedure TdmDataServer.UpdateRegistry(Register: Boolean; const ClassID, ProgID: string);
begin
  if Register then
  begin
    inherited UpdateRegistry(Register, ClassID, ProgID);
    EnableSocketTransport(ClassID);
    EnableWebTransport(ClassID);
  end else
  begin
    DisableSocketTransport(ClassID);
    DisableWebTransport(ClassID);
    inherited UpdateRegistry(Register, ClassID, ProgID);
  end;
end;

procedure TdmDataServer.RemoteDataModuleCreate(Sender: TObject);
begin
  frmmain.CambiaNumeroClient(+1);
end;

procedure TdmDataServer.RemoteDataModuleDestroy(Sender: TObject);
begin
  frmmain.CambiaNumeroClient(-1);
end;

initialization
  TComponentFactory.Create(ComServer, TdmDataServer,
    Class_dmDataServer, ciMultiInstance, tmApartment);
end.
